function game_of_life(conf_init,nb_gen)

%get the number of lines and columns of the matrix
nbLin = length(conf_init(:,1));
nbCol = length(conf_init(1,:));
%------------------------------------------------------

%test first if the matrix of initial configuration contains only 0's and 1's
bad = 0;
for(k = [1:nbLin])
    for(l = [1:nbCol])
        if( (conf_init(k,l) ~= 0) & (conf_init(k,l) ~= 1) )            
            bad = 1;
        end
    end
end
if(bad == 1) 
    disp('Input matrix must contain only 0''s or 1''s.');
    return
end
%------------------------------------------------------
    
%build a frame of 0's around initial configuration
frameSize = 4;

M = zeros(nbLin + 2*frameSize, nbCol + 2*frameSize);
M([frameSize + 1 : nbLin + frameSize], [frameSize + 1 : nbCol + frameSize]) = conf_init;
%------------------------------------------------------

%update the number of lines and columns
nbLin = length(M(:,1));
nbCol = length(M(1,:));
%------------------------------------------------------

%t counts generations
t=0;
%draw a figure to do the plotting
figure;
%change the colormap to display in blue and white
colormap([1 1 1; 0 0 0; 0 0 1]);
%------------------------------------------------------

%the main loop that does the evolution
while(t < nb_gen)
    
%------------------------------------------------------    
%------------------------------------------------------
%------------------------------------------------------

%mettre le code pour l'volution du jeu de la vie ici !!!

%------------------------------------------------------
%------------------------------------------------------
%------------------------------------------------------
    
    frameSize = 4;
    visible = M([frameSize+1 : nbLin - frameSize],[frameSize+1 : nbCol - frameSize]);
      
    if(visible == 0)
        colormap([1 1 1]);
        imagesc(visible);
        axis equal off;
        drawnow;
        return
    else
        imagesc(visible);
        axis equal off;
        drawnow;    
        t=t+1;        
    end    
end    
